package Echiquier.Modele.Piece;

import Echiquier.Modele.Case;
import Echiquier.Modele.ColorJoueur;

public class Cavalier extends Piece {
    public Cavalier(ColorJoueur colorJoueur) {
        super(colorJoueur);
    }

    public boolean estDpValide(Case depart, Case arrive){

        if(estMemeJouer(arrive)){
            return false;
        }

        int ligDepart = depart.getLig();
        int colDepart = depart.getCol();

        int ligArrive = arrive.getLig();
        int colArrive = arrive.getCol();

        //Si le movement n'est pas un 'L' return false
        if( !(Math.abs(ligArrive - ligDepart) == 2 && Math.abs(colArrive - colDepart) == 1 ||
                Math.abs(ligArrive - ligDepart) == 1 && Math.abs(colArrive - colDepart) == 2)){
            return false;
        }

        return true;
    }
}
