package Echiquier.Modele.Piece;

import Echiquier.Modele.Case;
import Echiquier.Modele.ColorJoueur;
import Echiquier.Echiquier;

public abstract class Piece {
    ColorJoueur colorJoueur;
    Echiquier echiquier;
    public Piece(ColorJoueur colorJoueur)
    {
        this.colorJoueur = colorJoueur;
    }

    //verifier la deplacement valide ou pas
    //regle de deplacement
    public abstract boolean estDpValide(Case depart, Case arrive);

    public ColorJoueur getColorJoueur() {
        return colorJoueur;
    }

    public void setEchiquier(Echiquier echiquier) {
        this.echiquier = echiquier;
    }

    //Verifier si le case arrive a un piece de le meme joueur
    public boolean estMemeJouer(Case arrive) {
        if (null != arrive.getPiece()) {
            if (getColorJoueur() == arrive.getPiece().getColorJoueur()) {
                return true;
            }
        }
        return false;
    }
}
