package Echiquier.Modele.Piece;

import Echiquier.Echiquier;
import Echiquier.Modele.Case;
import Echiquier.Modele.ColorJoueur;

public class Roi extends Piece{
    public Roi(ColorJoueur colorJoueur) {
        super(colorJoueur);
    }

    public boolean estDpValide(Case depart, Case arrive) {
        if (estMemeJouer(arrive)){
            return false;
        }

        //Le roi ne peut qu'avancer un seul case
        if(Math.abs(depart.getCol() - arrive.getCol()) > 1 || Math.abs(depart.getLig()-arrive.getLig()) > 1){
            return false;
        }

        return true;
    }
}
